/* general setup */

:root {
  --lsu-purple: #461d7c;
  --lsu-gold: #fdd023;
  --lsuawm-gray: #f0f0f0;
  --lsuawm-darkgray: #595959;
  --lsuawm-fg: black;
  --lsuawm-bg: white;
  --linkcolor: blue;
  --post-bg: #f0f2f6;
  --post-border: #d4d6d8;
  --indexposts-height: 675pt;
  --navbar-bg: var(--lsu-purple);
  --navbar-hover-bg: var(--lsuawm-gray);
  --navbar-fg: var(--lsu-gold);
  --navbar-hover-fg: var(--lsu-purple);
  --navbar-height: 36px;
  --navbar-adj: 0px;
}

@media (prefers-color-scheme: dark) {
  :root{
    --lsuawm-gray: #f0f0f0;
  --lsuawm-darkgray: #444;
  --lsuawm-fg: white;
  --lsuawm-bg: #222;
  --linkcolor: lightblue;
  --post-bg: #444;
  --post-border: var(--lsuawm-gray);
  }
}

a {
  color: var(--linkcolor);
}

html {
  width: 100vw;
  margin: 0;
  padding: 0;
  background-color: var(--lsuawm-darkgray);
}

* {
  box-sizing: border-box;
  max-width: 100vw;
  margin: 0;
  padding: 0;
}

h1,
h2,
h3,
h4 {
  font-family: "Times New Roman", Times, serif;
  color: var(--lsuawm-fg);
}

h2 {
  font-size: 32px;
}
h3 {
  margin-top: 20px;
  margin-bottom: 10px;
  font-size: 24px;
}

h4 {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 18px;
}

/* ripped from LSU math website :3 */
.element-invisible {
  position: absolute !important;
  clip: rect(1px 1px 1px 1px);
  /* IE6, IE7 */
  clip: rect(1px, 1px, 1px, 1px);
  overflow: hidden;
  height: 1px;
}
.element-invisible.element-focusable:active,
.element-invisible.element-focusable:focus {
  position: static !important;
  clip: auto;
  overflow: visible;
  height: auto;
}

body {
  font-family: Verdana, Helvetica, sans-serif;

  background-color: var(--lsuawm-bg);

  width: 100vw;

  padding: 0;
  margin: 0;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  /* display: grid;
  grid-template-rows: auto auto auto 1fr auto; header navbar main blank footer */
  justify-content: center;
  align-items: start;
}

p {
  color: var(--lsuawm-fg);
  font-family: Verdana, Helvetica, sans-serif;
  line-height: 1.5;
  font-size: 13pt;
}

br {
  margin-bottom: 0.5em;
}

/* header
* ██╗  ██╗███████╗ █████╗ ██████╗ ███████╗██████╗ 
* ██║  ██║██╔════╝██╔══██╗██╔══██╗██╔════╝██╔══██╗
* ███████║█████╗  ███████║██║  ██║█████╗  ██████╔╝
* ██╔══██║██╔══╝  ██╔══██║██║  ██║██╔══╝  ██╔══██╗
* ██║  ██║███████╗██║  ██║██████╔╝███████╗██║  ██║
* ╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝╚═════╝ ╚══════╝╚═╝  ╚═╝
*/

.hero {
  margin: 0;
  width: 100vw;

  height: 50vh;
  max-height: 200pt;

  align-items: center;
  align-content: center;
  text-align: center;

  background-attachment: fixed; /* Enables Parallax scrolling */
  background-size: cover; /* Ensures the image covers the entire section */
  background-position: center; /* Centers the background image */
  background-position-y: -200pt;
  align-items: center; /* Vertically center content */
  justify-content: center; /* Horizontally center content */
  text-align: center; /* Centers text inside the hero */
  padding-bottom: 20pt;
  padding-top: 20pt;
}

.hero .titlecontainer {
  background-color: color-mix(in srgb, var(--lsu-purple) 75%, transparent);
  filter: drop-shadow(0 0 10pt black);
  padding: 15pt 0 5pt 0;
}

.hero .titlecontainer h1 {
  color: white;
  /* clamps for smooth transition b/n phone
  and desk layout. no media selector needed */
  font-size: clamp(36pt, 7vw, 45pt);
  margin: 0;
}

#navbar-container {
  position: sticky; /* this isn't working right now? javascript patches it for now */
  top: 0;
  width: 100%;
  z-index: 100;
  text-align: center;
  align-content: center;
  transition: height 0.5s, background 0.5s;
  background-image: none;
  background: var(--navbar-bg);
  font-size: 16px;
  height: var(--navbar-height);
}

nav {
  margin: auto;
  width: fit-content;
}

nav > ul {
  margin: 0;
  padding: 0;
  list-style: none;
  width: 100%;
  height: 100%;
}

nav > ul li {
  padding: 0;
  display: block;
  float: left;
  position: relative;
  height: 100%;
  max-width: 400pt;
  width: 10vw;
  min-width: 60pt;
}

nav > ul li a:link,
nav > ul li a:visited {
  display: block;
  line-height: var(--navbar-height);
  text-align: center;
  text-decoration: none;
  color: var(--navbar-fg);
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 0px;
  padding-bottom: 0px;
  margin-top: 0px;
  transition: 0.4s;
}

nav > ul li:hover a,
nav > ul li a:focus {
  height: var(--navbar-height);
  line-height: var(--navbar-height);
  display: block;
  text-decoration: none;
  background: var(--navbar-hover-bg);
  color: var(--navbar-hover-fg);
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 0px;
  padding-bottom: 0px;
  -webkit-transition: color 0.3s;
  transition: color 0.3s;
  -webkit-transition: background-color 0.3s;
  transition: background-color 0.3s;
  margin-top: 0px;
}

nav ul li ul:has(li a:focus) {
  /* show on keyboard focus */
  clip: auto;
  overflow: visible;
  max-height: 500px;
}

nav > ul li ul {
  margin: 0;
  padding: 0;
  list-style: none;
  background: var(--navbar-hover-bg);
  width: 100px;
  position: absolute;
  top: 34px;
  margin-top: var(--navbar-adj);
  border-top: none;
  max-height: 1px;
  clip: rect(1px 1px 1px 1px);
  overflow: hidden;
}

nav > ul li:hover ul,
nav > ul li:focus ul {
  clip: auto;
  overflow: visible;
  max-height: 500px;
}

nav > ul li ul li {
  clear: left;
}

nav > ul li ul li a:link,
nav > ul li ul li a:visited {
  color: var(--navbar-fg);
  clear: left;
  background: var(--navbar-bg);
  padding-left: 10px;
  width: 200px;
  border: none;
  position: relative;
  z-index: 1000;
}

nav > ul li ul li a:hover,
nav > ul li ul li a:focus {
  color: var(--navbar-hover-fg);
  clear: left;
  background: var(--navbar-hover-bg);
  padding-left: 10px;
  width: 200px;
  border: none;
  position: relative;
  z-index: 1000;
}

/* main
* ███╗   ███╗ █████╗ ██╗███╗   ██╗
* ████╗ ████║██╔══██╗██║████╗  ██║
* ██╔████╔██║███████║██║██╔██╗ ██║
* ██║╚██╔╝██║██╔══██║██║██║╚██╗██║
* ██║ ╚═╝ ██║██║  ██║██║██║ ╚████║
* ╚═╝     ╚═╝╚═╝  ╚═╝╚═╝╚═╝  ╚═══╝
*/

/* all pages
*     ___    __    __ 
*    /   |  / /   / / 
*   / /| | / /   / /  
*  / ___ |/ /___/ /___
* /_/  |_/_____/_____/
*                    
*/

.post {
  background-color: var(--post-bg);
  border: 1pt solid var(--post-border);
}

.text {
  background-color: var(--lsuawm-bg);
  border: 1pt solid var(--post-border);
  padding: 2%;
}

main {
  justify-content: center;
  align-items: center;
  margin: auto;
  margin-bottom: 0;
  z-index: 0;
}

.maxwidth-container{
  max-width: 1400px;
  margin:auto;
  margin-top: 0;
  margin-bottom: 0;
}

section {
  display: block;
  margin: auto;
  margin: 2%;
  padding: 2%;
}
section h1 {
  margin-top: -5pt;
}

.quote {
  background-color: var(--lsuawm-darkgray);
  color: white;
  padding: 5%;
  margin: 5%;
  text-align: center;
  font-family: "Times New Roman", Times, serif;
  filter: drop-shadow(10pt 10pt 0 #000c);
}

.post {
  padding: 2%;
}
.post h2,
.post h3 {
  font-size: 18pt;
  margin-top: -5pt;
  margin-bottom: 2pt;
}
.post p {
  font-size: 11pt;
}
.gradrule {
  text-align: center;
  width: 100%;
  height: 1.5pt;
  background-image: linear-gradient(
    to left,
    transparent,
    var(--lsuawm-fg) 40%,
    var(--lsuawm-fg) 60%,
    transparent
  );
  margin-bottom: 10pt;

  align-self: center;
}

hr.dots {
  border: none;
  border-top: 2pt dotted var(--lsuawm-fg);
  margin-bottom: 15pt;
  margin-top: 15pt;
}

.updatetag {
  font-size: small;
  color: var(--lsuawm-fg);
  font-family: "Times New Roman", Times, serif;
  border-bottom: 1pt dotted var(--lsuawm-fg);
  display: inline-block;
}




/* footer
* ███████╗ ██████╗  ██████╗ ████████╗███████╗██████╗ 
* ██╔════╝██╔═══██╗██╔═══██╗╚══██╔══╝██╔════╝██╔══██╗
* █████╗  ██║   ██║██║   ██║   ██║   █████╗  ██████╔╝
* ██╔══╝  ██║   ██║██║   ██║   ██║   ██╔══╝  ██╔══██╗
* ██║     ╚██████╔╝╚██████╔╝   ██║   ███████╗██║  ██║
* ╚═╝      ╚═════╝  ╚═════╝    ╚═╝   ╚══════╝╚═╝  ╚═╝
*/

.spacer{
  flex-grow: 1;
  margin-bottom:25px;
}

footer {
  width: 100vw;
  padding: 2%;
  background-color: var(--lsuawm-darkgray);
  color: #ffffff;
  font-size: 14px;
  text-align: center;
}

.footertext {
  color: white !important;
}

.disclaimer {
  color: white;
  font-size: smaller;
}
